//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//GOWIN Version: V1.9.9 Beta-3
//Part Number: GW5AST-LV138FPG676AES
//Device: GW5AST-138
//Device Version: B
//Created Time: Thu Jul 27 11:32:47 2023

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	SRIO_Top your_instance_name(
		.sys_rst_i(sys_rst_i_i), //input sys_rst_i
		.srio_clk_i(srio_clk_i_i), //input srio_clk_i
		.clk_lock_i(clk_lock_i_i), //input clk_lock_i
		.user_pcs_clk_i(user_pcs_clk_i_i), //input user_pcs_clk_i
		.srio_ui_clk_o(srio_ui_clk_o_o), //output srio_ui_clk_o
		.srio_ui_rst_o(srio_ui_rst_o_o), //output srio_ui_rst_o
		.tx_req_trac_valid_i(tx_req_trac_valid_i_i), //input tx_req_trac_valid_i
		.tx_req_trac_ready_o(tx_req_trac_ready_o_o), //output tx_req_trac_ready_o
		.tx_req_trac_last_i(tx_req_trac_last_i_i), //input tx_req_trac_last_i
		.tx_req_trac_data_i(tx_req_trac_data_i_i), //input [63:0] tx_req_trac_data_i
		.tx_req_trac_id_info_i(tx_req_trac_id_info_i_i), //input [15:0] tx_req_trac_id_info_i
		.tx_resp_trac_valid_i(tx_resp_trac_valid_i_i), //input tx_resp_trac_valid_i
		.tx_resp_trac_ready_o(tx_resp_trac_ready_o_o), //output tx_resp_trac_ready_o
		.tx_resp_trac_last_i(tx_resp_trac_last_i_i), //input tx_resp_trac_last_i
		.tx_resp_trac_data_i(tx_resp_trac_data_i_i), //input [63:0] tx_resp_trac_data_i
		.tx_resp_trac_id_info_i(tx_resp_trac_id_info_i_i), //input [15:0] tx_resp_trac_id_info_i
		.rx_req_trac_ready_i(rx_req_trac_ready_i_i), //input rx_req_trac_ready_i
		.rx_req_trac_valid_o(rx_req_trac_valid_o_o), //output rx_req_trac_valid_o
		.rx_req_trac_last_o(rx_req_trac_last_o_o), //output rx_req_trac_last_o
		.rx_req_trac_data_o(rx_req_trac_data_o_o), //output [63:0] rx_req_trac_data_o
		.rx_req_trac_id_info_o(rx_req_trac_id_info_o_o), //output [15:0] rx_req_trac_id_info_o
		.rx_resp_trac_ready_i(rx_resp_trac_ready_i_i), //input rx_resp_trac_ready_i
		.rx_resp_trac_valid_o(rx_resp_trac_valid_o_o), //output rx_resp_trac_valid_o
		.rx_resp_trac_last_o(rx_resp_trac_last_o_o), //output rx_resp_trac_last_o
		.rx_resp_trac_data_o(rx_resp_trac_data_o_o), //output [63:0] rx_resp_trac_data_o
		.rx_resp_trac_id_info_o(rx_resp_trac_id_info_o_o), //output [15:0] rx_resp_trac_id_info_o
		.force_reinit_i(force_reinit_i_i), //input force_reinit_i
		.phy_tx_mce_i(phy_tx_mce_i_i), //input phy_tx_mce_i
		.phy_tx_link_reset_i(phy_tx_link_reset_i_i), //input phy_tx_link_reset_i
		.port_initialized_o(port_initialized_o_o), //output port_initialized_o
		.link_initialized_o(link_initialized_o_o), //output link_initialized_o
		.phy_rx_mce_o(phy_rx_mce_o_o), //output phy_rx_mce_o
		.phy_rx_link_reset_o(phy_rx_link_reset_o_o), //output phy_rx_link_reset_o
		.port_error_o(port_error_o_o), //output port_error_o
		.port_timeout_o(port_timeout_o_o), //output [23:0] port_timeout_o
		.srio_host_o(srio_host_o_o), //output srio_host_o
		.master_enable_o(master_enable_o_o), //output master_enable_o
		.port_decode_error_o(port_decode_error_o_o), //output port_decode_error_o
		.device_id_o(device_id_o_o), //output [15:0] device_id_o
		.debug_info_o(debug_info_o_o), //output [31:0] debug_info_o
		.rxbuf_rewind_o(rxbuf_rewind_o_o), //output rxbuf_rewind_o
		.txbuf_rewind_o(txbuf_rewind_o_o), //output txbuf_rewind_o
		.cfg_clk_i(cfg_clk_i_i), //input cfg_clk_i
		.cfg_rst_i(cfg_rst_i_i), //input cfg_rst_i
		.cfg_sel_i(cfg_sel_i_i), //input cfg_sel_i
		.cfg_wr_i(cfg_wr_i_i), //input cfg_wr_i
		.cfg_ena_i(cfg_ena_i_i), //input cfg_ena_i
		.cfg_addr_i(cfg_addr_i_i), //input [21:0] cfg_addr_i
		.cfg_wdata_i(cfg_wdata_i_i), //input [31:0] cfg_wdata_i
		.cfg_strb_i(cfg_strb_i_i), //input [3:0] cfg_strb_i
		.cfg_rdy_o(cfg_rdy_o_o), //output cfg_rdy_o
		.cfg_rdata_o(cfg_rdata_o_o), //output [31:0] cfg_rdata_o
		.cfg_slverr_o(cfg_slverr_o_o), //output cfg_slverr_o
		.maintenance_interrupt_o(maintenance_interrupt_o_o), //output maintenance_interrupt_o
		.maintenance_timeout_o(maintenance_timeout_o_o), //output maintenance_timeout_o
		.gtr12_rstn_i(gtr12_rstn_i_i), //input gtr12_rstn_i
		.gtr12_pcs_tx_rst_i(gtr12_pcs_tx_rst_i_i), //input gtr12_pcs_tx_rst_i
		.gtr12_pcs_rx_rst_i(gtr12_pcs_rx_rst_i_i), //input gtr12_pcs_rx_rst_i
		.gtr12_align_link_o(gtr12_align_link_o_o), //output [1:0] gtr12_align_link_o
		.gtr12_k_lock_o(gtr12_k_lock_o_o), //output [1:0] gtr12_k_lock_o
		.gtr12_pma_rx_lock_o(gtr12_pma_rx_lock_o_o), //output [1:0] gtr12_pma_rx_lock_o
		.gtr12_pll_ok_o(gtr12_pll_ok_o_o), //output gtr12_pll_ok_o
		.gtr12_pll_ck_ref_o(gtr12_pll_ck_ref_o_o), //output gtr12_pll_ck_ref_o
		.gtr12_rx_fifo_rdusewd_o(gtr12_rx_fifo_rdusewd_o_o), //output [9:0] gtr12_rx_fifo_rdusewd_o
		.gtr12_tx_fifo_wrusewd_o(gtr12_tx_fifo_wrusewd_o_o), //output [9:0] gtr12_tx_fifo_wrusewd_o
		.gtr12_tx_pcs_clk_o(gtr12_tx_pcs_clk_o_o), //output gtr12_tx_pcs_clk_o
		.gtr12_rx_pcs_clk_o(gtr12_rx_pcs_clk_o_o), //output gtr12_rx_pcs_clk_o
		.serdes_lnx_rstn_o(serdes_lnx_rstn_o_o), //output [1:0] serdes_lnx_rstn_o
		.serdes_pcs_tx_rst_o(serdes_pcs_tx_rst_o_o), //output [1:0] serdes_pcs_tx_rst_o
		.serdes_pcs_rx_rst_o(serdes_pcs_rx_rst_o_o), //output [1:0] serdes_pcs_rx_rst_o
		.serdes_lanex_align_link_i(serdes_lanex_align_link_i_i), //input [1:0] serdes_lanex_align_link_i
		.serdes_lanex_k_lock_i(serdes_lanex_k_lock_i_i), //input [1:0] serdes_lanex_k_lock_i
		.serdes_lnx_pma_rx_lock_i(serdes_lnx_pma_rx_lock_i_i), //input [1:0] serdes_lnx_pma_rx_lock_i
		.serdes_cmu1_ok_i(serdes_cmu1_ok_i_i), //input serdes_cmu1_ok_i
		.serdes_cmu1_ck_ref_i(serdes_cmu1_ck_ref_i_i), //input serdes_cmu1_ck_ref_i
		.serdes_cmu0_ok_i(serdes_cmu0_ok_i_i), //input serdes_cmu0_ok_i
		.serdes_cmu0_ck_ref_i(serdes_cmu0_ck_ref_i_i), //input serdes_cmu0_ck_ref_i
		.serdes_lanex_cmu_ok_i(serdes_lanex_cmu_ok_i_i), //input [1:0] serdes_lanex_cmu_ok_i
		.serdes_lanex_cmu_ck_ref_i(serdes_lanex_cmu_ck_ref_i_i), //input [1:0] serdes_lanex_cmu_ck_ref_i
		.serdes_lanex_pcs_tx_fabric_clk_i(serdes_lanex_pcs_tx_fabric_clk_i_i), //input [1:0] serdes_lanex_pcs_tx_fabric_clk_i
		.serdes_lanex_pcs_rx_fabric_clk_i(serdes_lanex_pcs_rx_fabric_clk_i_i), //input [1:0] serdes_lanex_pcs_rx_fabric_clk_i
		.serdes_lanex_chbond_start_o(serdes_lanex_chbond_start_o_o), //output [1:0] serdes_lanex_chbond_start_o
		.serdes_lanex_align_trigger_o(serdes_lanex_align_trigger_o_o), //output [1:0] serdes_lanex_align_trigger_o
		.serdes_lanex_fabric_rx_clk_o(serdes_lanex_fabric_rx_clk_o_o), //output [1:0] serdes_lanex_fabric_rx_clk_o
		.serdes_lanex_fabric_c2i_clk_o(serdes_lanex_fabric_c2i_clk_o_o), //output [1:0] serdes_lanex_fabric_c2i_clk_o
		.serdes_lanex_fabric_tx_clk_o(serdes_lanex_fabric_tx_clk_o_o), //output [1:0] serdes_lanex_fabric_tx_clk_o
		.serdes_lanex_rx_if_fifo_aempty_i(serdes_lanex_rx_if_fifo_aempty_i_i), //input [1:0] serdes_lanex_rx_if_fifo_aempty_i
		.serdes_lanex_tx_if_fifo_full_i(serdes_lanex_tx_if_fifo_full_i_i), //input [1:0] serdes_lanex_tx_if_fifo_full_i
		.serdes_lanex_rx_if_fifo_rden_o(serdes_lanex_rx_if_fifo_rden_o_o), //output [1:0] serdes_lanex_rx_if_fifo_rden_o
		.serdes_lnx_tx_vld_o(serdes_lnx_tx_vld_o_o), //output [1:0] serdes_lnx_tx_vld_o
		.serdes_lnx_rx_vld_i(serdes_lnx_rx_vld_i_i), //input [1:0] serdes_lnx_rx_vld_i
		.serdes_lnx_rxdata_i(serdes_lnx_rxdata_i_i), //input [175:0] serdes_lnx_rxdata_i
		.serdes_lnx_txdata_o(serdes_lnx_txdata_o_o), //output [159:0] serdes_lnx_txdata_o
		.serdes_rx_if_fifo_rdusewd_i(serdes_rx_if_fifo_rdusewd_i_i), //input [9:0] serdes_rx_if_fifo_rdusewd_i
		.serdes_tx_if_fifo_wrusewd_i(serdes_tx_if_fifo_wrusewd_i_i) //input [9:0] serdes_tx_if_fifo_wrusewd_i
	);

//--------Copy end-------------------
