//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//GOWIN Version: V1.9.9 Beta-3
//Part Number: GW5AST-LV138FPG676AES
//Device: GW5AST-138B
//Device Version: B
//Created Time: Thu Jul 27 11:33:33 2023

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

    Serdes_Top your_instance_name(
        .SRIO_Top_srio_ui_clk_o(SRIO_Top_srio_ui_clk_o_o), //output SRIO_Top_srio_ui_clk_o
        .SRIO_Top_srio_ui_rst_o(SRIO_Top_srio_ui_rst_o_o), //output SRIO_Top_srio_ui_rst_o
        .SRIO_Top_tx_req_trac_ready_o(SRIO_Top_tx_req_trac_ready_o_o), //output SRIO_Top_tx_req_trac_ready_o
        .SRIO_Top_tx_resp_trac_ready_o(SRIO_Top_tx_resp_trac_ready_o_o), //output SRIO_Top_tx_resp_trac_ready_o
        .SRIO_Top_rx_req_trac_valid_o(SRIO_Top_rx_req_trac_valid_o_o), //output SRIO_Top_rx_req_trac_valid_o
        .SRIO_Top_rx_req_trac_last_o(SRIO_Top_rx_req_trac_last_o_o), //output SRIO_Top_rx_req_trac_last_o
        .SRIO_Top_rx_req_trac_data_o(SRIO_Top_rx_req_trac_data_o_o), //output [63:0] SRIO_Top_rx_req_trac_data_o
        .SRIO_Top_rx_req_trac_id_info_o(SRIO_Top_rx_req_trac_id_info_o_o), //output [15:0] SRIO_Top_rx_req_trac_id_info_o
        .SRIO_Top_rx_resp_trac_valid_o(SRIO_Top_rx_resp_trac_valid_o_o), //output SRIO_Top_rx_resp_trac_valid_o
        .SRIO_Top_rx_resp_trac_last_o(SRIO_Top_rx_resp_trac_last_o_o), //output SRIO_Top_rx_resp_trac_last_o
        .SRIO_Top_rx_resp_trac_data_o(SRIO_Top_rx_resp_trac_data_o_o), //output [63:0] SRIO_Top_rx_resp_trac_data_o
        .SRIO_Top_rx_resp_trac_id_info_o(SRIO_Top_rx_resp_trac_id_info_o_o), //output [15:0] SRIO_Top_rx_resp_trac_id_info_o
        .SRIO_Top_port_initialized_o(SRIO_Top_port_initialized_o_o), //output SRIO_Top_port_initialized_o
        .SRIO_Top_link_initialized_o(SRIO_Top_link_initialized_o_o), //output SRIO_Top_link_initialized_o
        .SRIO_Top_phy_rx_mce_o(SRIO_Top_phy_rx_mce_o_o), //output SRIO_Top_phy_rx_mce_o
        .SRIO_Top_phy_rx_link_reset_o(SRIO_Top_phy_rx_link_reset_o_o), //output SRIO_Top_phy_rx_link_reset_o
        .SRIO_Top_port_error_o(SRIO_Top_port_error_o_o), //output SRIO_Top_port_error_o
        .SRIO_Top_port_timeout_o(SRIO_Top_port_timeout_o_o), //output [23:0] SRIO_Top_port_timeout_o
        .SRIO_Top_srio_host_o(SRIO_Top_srio_host_o_o), //output SRIO_Top_srio_host_o
        .SRIO_Top_master_enable_o(SRIO_Top_master_enable_o_o), //output SRIO_Top_master_enable_o
        .SRIO_Top_port_decode_error_o(SRIO_Top_port_decode_error_o_o), //output SRIO_Top_port_decode_error_o
        .SRIO_Top_device_id_o(SRIO_Top_device_id_o_o), //output [15:0] SRIO_Top_device_id_o
        .SRIO_Top_debug_info_o(SRIO_Top_debug_info_o_o), //output [31:0] SRIO_Top_debug_info_o
        .SRIO_Top_rxbuf_rewind_o(SRIO_Top_rxbuf_rewind_o_o), //output SRIO_Top_rxbuf_rewind_o
        .SRIO_Top_txbuf_rewind_o(SRIO_Top_txbuf_rewind_o_o), //output SRIO_Top_txbuf_rewind_o
        .SRIO_Top_cfg_rdy_o(SRIO_Top_cfg_rdy_o_o), //output SRIO_Top_cfg_rdy_o
        .SRIO_Top_cfg_rdata_o(SRIO_Top_cfg_rdata_o_o), //output [31:0] SRIO_Top_cfg_rdata_o
        .SRIO_Top_cfg_slverr_o(SRIO_Top_cfg_slverr_o_o), //output SRIO_Top_cfg_slverr_o
        .SRIO_Top_maintenance_interrupt_o(SRIO_Top_maintenance_interrupt_o_o), //output SRIO_Top_maintenance_interrupt_o
        .SRIO_Top_maintenance_timeout_o(SRIO_Top_maintenance_timeout_o_o), //output SRIO_Top_maintenance_timeout_o
        .SRIO_Top_gtr12_tx_pcs_clk_o(SRIO_Top_gtr12_tx_pcs_clk_o_o), //output SRIO_Top_gtr12_tx_pcs_clk_o
        .SRIO_Top_gtr12_rx_pcs_clk_o(SRIO_Top_gtr12_rx_pcs_clk_o_o), //output SRIO_Top_gtr12_rx_pcs_clk_o
        .SRIO_Top_gtr12_align_link_o(SRIO_Top_gtr12_align_link_o_o), //output [1:0] SRIO_Top_gtr12_align_link_o
        .SRIO_Top_gtr12_k_lock_o(SRIO_Top_gtr12_k_lock_o_o), //output [1:0] SRIO_Top_gtr12_k_lock_o
        .SRIO_Top_gtr12_pma_rx_lock_o(SRIO_Top_gtr12_pma_rx_lock_o_o), //output [1:0] SRIO_Top_gtr12_pma_rx_lock_o
        .SRIO_Top_gtr12_pll_ok_o(SRIO_Top_gtr12_pll_ok_o_o), //output SRIO_Top_gtr12_pll_ok_o
        .SRIO_Top_gtr12_pll_ck_ref_o(SRIO_Top_gtr12_pll_ck_ref_o_o), //output SRIO_Top_gtr12_pll_ck_ref_o
        .SRIO_Top_gtr12_rx_fifo_rdusewd_o(SRIO_Top_gtr12_rx_fifo_rdusewd_o_o), //output [9:0] SRIO_Top_gtr12_rx_fifo_rdusewd_o
        .SRIO_Top_gtr12_tx_fifo_wrusewd_o(SRIO_Top_gtr12_tx_fifo_wrusewd_o_o), //output [9:0] SRIO_Top_gtr12_tx_fifo_wrusewd_o
        .SRIO_Top_sys_rst_i(SRIO_Top_sys_rst_i_i), //input SRIO_Top_sys_rst_i
        .SRIO_Top_srio_clk_i(SRIO_Top_srio_clk_i_i), //input SRIO_Top_srio_clk_i
        .SRIO_Top_clk_lock_i(SRIO_Top_clk_lock_i_i), //input SRIO_Top_clk_lock_i
        .SRIO_Top_user_pcs_clk_i(SRIO_Top_user_pcs_clk_i_i), //input SRIO_Top_user_pcs_clk_i
        .SRIO_Top_tx_req_trac_valid_i(SRIO_Top_tx_req_trac_valid_i_i), //input SRIO_Top_tx_req_trac_valid_i
        .SRIO_Top_tx_req_trac_last_i(SRIO_Top_tx_req_trac_last_i_i), //input SRIO_Top_tx_req_trac_last_i
        .SRIO_Top_tx_req_trac_data_i(SRIO_Top_tx_req_trac_data_i_i), //input [63:0] SRIO_Top_tx_req_trac_data_i
        .SRIO_Top_tx_req_trac_id_info_i(SRIO_Top_tx_req_trac_id_info_i_i), //input [15:0] SRIO_Top_tx_req_trac_id_info_i
        .SRIO_Top_tx_resp_trac_valid_i(SRIO_Top_tx_resp_trac_valid_i_i), //input SRIO_Top_tx_resp_trac_valid_i
        .SRIO_Top_tx_resp_trac_last_i(SRIO_Top_tx_resp_trac_last_i_i), //input SRIO_Top_tx_resp_trac_last_i
        .SRIO_Top_tx_resp_trac_data_i(SRIO_Top_tx_resp_trac_data_i_i), //input [63:0] SRIO_Top_tx_resp_trac_data_i
        .SRIO_Top_tx_resp_trac_id_info_i(SRIO_Top_tx_resp_trac_id_info_i_i), //input [15:0] SRIO_Top_tx_resp_trac_id_info_i
        .SRIO_Top_rx_req_trac_ready_i(SRIO_Top_rx_req_trac_ready_i_i), //input SRIO_Top_rx_req_trac_ready_i
        .SRIO_Top_rx_resp_trac_ready_i(SRIO_Top_rx_resp_trac_ready_i_i), //input SRIO_Top_rx_resp_trac_ready_i
        .SRIO_Top_force_reinit_i(SRIO_Top_force_reinit_i_i), //input SRIO_Top_force_reinit_i
        .SRIO_Top_phy_tx_mce_i(SRIO_Top_phy_tx_mce_i_i), //input SRIO_Top_phy_tx_mce_i
        .SRIO_Top_phy_tx_link_reset_i(SRIO_Top_phy_tx_link_reset_i_i), //input SRIO_Top_phy_tx_link_reset_i
        .SRIO_Top_cfg_clk_i(SRIO_Top_cfg_clk_i_i), //input SRIO_Top_cfg_clk_i
        .SRIO_Top_cfg_rst_i(SRIO_Top_cfg_rst_i_i), //input SRIO_Top_cfg_rst_i
        .SRIO_Top_cfg_sel_i(SRIO_Top_cfg_sel_i_i), //input SRIO_Top_cfg_sel_i
        .SRIO_Top_cfg_wr_i(SRIO_Top_cfg_wr_i_i), //input SRIO_Top_cfg_wr_i
        .SRIO_Top_cfg_ena_i(SRIO_Top_cfg_ena_i_i), //input SRIO_Top_cfg_ena_i
        .SRIO_Top_cfg_addr_i(SRIO_Top_cfg_addr_i_i), //input [21:0] SRIO_Top_cfg_addr_i
        .SRIO_Top_cfg_wdata_i(SRIO_Top_cfg_wdata_i_i), //input [31:0] SRIO_Top_cfg_wdata_i
        .SRIO_Top_cfg_strb_i(SRIO_Top_cfg_strb_i_i), //input [3:0] SRIO_Top_cfg_strb_i
        .SRIO_Top_gtr12_rstn_i(SRIO_Top_gtr12_rstn_i_i), //input SRIO_Top_gtr12_rstn_i
        .SRIO_Top_gtr12_pcs_tx_rst_i(SRIO_Top_gtr12_pcs_tx_rst_i_i), //input SRIO_Top_gtr12_pcs_tx_rst_i
        .SRIO_Top_gtr12_pcs_rx_rst_i(SRIO_Top_gtr12_pcs_rx_rst_i_i) //input SRIO_Top_gtr12_pcs_rx_rst_i
    );

//--------Copy end-------------------
