//Copyright (C)2014-2023 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//GOWIN Version: 1.9.9 Beta-2
//Created Time: 2023-06-25 16:36:41
///1.25G  31.25M    32ns
///2.5G   62.5M     16ns
///3.125G 78.125M   12.8ns
///5G     125M      8ns
///create_clock -name serdes_pcs_clk -period 12.8 -waveform {0 6.4} [get_nets {user_pcs_clk}]
///srio_clk
///1.25G  1x 15.625M  64ns
///1.25G  2x 31.25M   32ns
///1.25G  4x 62.5M    16ns
///2.5G   1x 31.25M   32ns
///2.5G   2x 62.5M    16ns
///3.125G 1x 39.0625M 25.6ns
///3.125G 2x 78.125M  12.8ns
///5G     1x 62.5M    16ns
create_clock -name srio_clk -period 12.8 -waveform {0 6.4} [get_nets {srio_clk}]
///
create_clock -name cfg_clk -period 100 -waveform {0 50} [get_nets {clk_10m}]
create_clock -name pll_ref_clk -period 20 -waveform {0 10} [get_ports {sys_clk_i}]

///set_false_path -from [get_clocks {serdes_pcs_clk}] -to [get_clocks {cfg_clk}] 
///set_false_path -from [get_clocks {cfg_clk}] -to [get_clocks {serdes_pcs_clk}] 
set_false_path -from [get_clocks {srio_clk}] -to [get_clocks {cfg_clk}] 
set_false_path -from [get_clocks {cfg_clk}] -to [get_clocks {srio_clk}] 
